Strumenti: Aggiungi un documento di testo

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std TextDocument and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎русский
Arrow-left.svg Std MeasureDistance.svg Misura la distanza Pagina precedente:
Pagina successiva: Visualizza rotazione oggetti Arrow-right.svg

Std TextDocument.svg Aggiungi un documento di testo

Nome nel codice
Std_TextDocument
Posizione nel menu
Strumenti → Aggiungi un documento di testo
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Forma da testo di Draft, Testo di Draft


Descrizione

Il comando Aggiungi un documento di testo crea un oggetto in grado di contenere un testo arbitrario. Questo elemento può essere utilizzato per scrivere delle informazioni generali o della documentazione sul modello.

Utilizzo

  1. Andare nel menu Strumenti → Aggiungi un documento di testo.
  2. Fare doppio clic sul nuovo oggetto creato nella vista ad albero per aprire una scheda in cui scrivere il testo.
  3. Aggiungere il testo.
  4. Chiudere la scheda e salvare il file quando viene richiesto.

Proprietà

Vista

Editor

  • ViewFont Name (Font): un nome di carattere, ad esempio, Ubuntu Mono.
  • ViewFont Size (Float): una dimensione del carattere in punti, ad esempio, 11.
  • ViewRead Only (Bool): il valore predefinito è false. Se impostato su true il testo non può essere modificato.
  • ViewSyntax Highlighter (Enumeration): il valore predefinito è None. Se impostato su Python, il testo verrà evidenziato come nella console Python.

Script

Vedere anche: Script di base per FreeCAD, e script di oggetti.

Vedere Part Feature per le informazioni generali sull'aggiunta di oggetti a un documento.

Un oggetto App::TextDocument viene creato con il metodo addObject() del documento. Una volta che esiste un TextDocument, le sue informazioni testuali vengono archiviate nel suo attributo Text. Questo attributo può essere utilizzato in altri oggetti, ad esempio, come stringa in una Draft ShapeString.svg Forma da testo di Draft .

import FreeCAD as App
import Draft

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::TextDocument", "Text_document")
obj.Text = "textual information"
App.ActiveDocument.recompute()

obj2 = Draft.makeShapeString(obj.Text, "/usr/share/fonts/truetype/dejavu/DejaVuSans.ttf", 10)
App.ActiveDocument.recompute()
Arrow-left.svg Std MeasureDistance.svg Misura la distanza Pagina precedente:
Pagina successiva: Visualizza rotazione oggetti Arrow-right.svg